aboutsummaryrefslogtreecommitdiff
path: root/vim/bundle/YouCompleteMe/install.sh
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2016-06-30 16:03:25 +0200
committerKarel Kočí <cynerd@email.cz>2016-06-30 16:03:25 +0200
commite573b3020c032400eed60b649a2cbf55266e6bb0 (patch)
tree8f572394ac8433529c7a8e70d160a2fbe8268b4e /vim/bundle/YouCompleteMe/install.sh
parentb8c667bd64b3edd38d56c63c5bd1db53a23b4499 (diff)
downloadmyconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.tar.gz
myconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.tar.bz2
myconfigs-e573b3020c032400eed60b649a2cbf55266e6bb0.zip
Add current configurations from old repository
Diffstat (limited to 'vim/bundle/YouCompleteMe/install.sh')
-rwxr-xr-xvim/bundle/YouCompleteMe/install.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/vim/bundle/YouCompleteMe/install.sh b/vim/bundle/YouCompleteMe/install.sh
new file mode 100755
index 0000000..8c9c2fd
--- /dev/null
+++ b/vim/bundle/YouCompleteMe/install.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+echo "WARNING: this script is deprecated. Use the install.py script instead." 1>&2
+
+
+SCRIPT_DIR=$(dirname $0 || exit $?)
+
+command_exists() {
+ command -v "$1" >/dev/null 2>&1 ;
+}
+
+PYTHON_BINARY=python
+if command_exists python2; then
+ PYTHON_BINARY=python2
+fi
+
+$PYTHON_BINARY "$SCRIPT_DIR/install.py" "$@" || exit $?